package com.docus.server.convert;

import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.segmentation.OcrCutConfigTest;
    import com.docus.server.dto.segmentation.ocrcutconfigtest.AddOcrCutConfigTestDTO;
    import com.docus.server.dto.segmentation.ocrcutconfigtest.EditOcrCutConfigTestDTO;
    import com.docus.server.dto.segmentation.ocrcutconfigtest.DeleteOcrCutConfigTestDTO;
import com.docus.server.vo.segmentation.ocrcutconfigtest.OcrCutConfigTestVO;

import org.mapstruct.Mapper;
import org.mapstruct.Mappings;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
*
* ocr图片剪切配置-调试 服务转换器
*
* @author AutoGenerator
* @since 2023-08-29
*/
@Mapper
public interface OcrCutConfigTestConvert {

    OcrCutConfigTestConvert INSTANCE = Mappers.getMapper(OcrCutConfigTestConvert.class);

    @Mappings({})
    OcrCutConfigTest convertDO(AddOcrCutConfigTestDTO addOcrCutConfigTestDTO);

    @Mappings({})
    OcrCutConfigTest convertDO(EditOcrCutConfigTestDTO editOcrCutConfigTestDTO);

    @Mappings({})
    List<OcrCutConfigTest> convertAddDOList(List<AddOcrCutConfigTestDTO> addOcrCutConfigTestDTO);

    @Mappings({})
    List<OcrCutConfigTest> convertEditDOList(List<EditOcrCutConfigTestDTO> editOcrCutConfigTestDTO);

    @Mappings({})
    OcrCutConfigTestVO convertVO(OcrCutConfigTest ocrCutConfigTest);

    @Mappings({})
    List<OcrCutConfigTestVO> convertVO(List<OcrCutConfigTest> ocrCutConfigTestList);

    @Mappings({})
    PageResult<OcrCutConfigTestVO> convertVO(PageResult<OcrCutConfigTest> pageResult);
}

